{
  "name": "the-geeklab",
  "version": "1.0.0",
  "description": "My personal blog",
  "main": "index.js",
  "scripts": {
    "build": "run-s prep svg build:*",
    "build:webpack": "webpack --mode=production",
    "start": "run-s prep:clean prep:make svg build:webpack ; run-s start:hugo",
    "start:hugo": "hugo server -D -F",
    "svg": "run-s svg:*",
    "svg:sprite": "svg-sprite -C svgsprite.config.json 'src/icons/*.svg'",
    "prep": "run-s prep:*",
    "prep:clean": "shx rm -rf build/ static/ assets/sprites/",
    "prep:make": "shx mkdir -p build/"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/thegeeklab/hugo-geekblog"
  },
  "author": "Robert Kaussow",
  "license": "MIT",
  "devDependencies": {
    "copy-webpack-plugin": "11.0.0",
    "favicons-webpack-plugin": "6.0.0",
    "js-yaml": "4.1.0",
    "npm-run-all": "4.1.5",
    "prettier": "2.8.4",
    "prettier-plugin-go-template": "0.0.13",
    "shx": "0.3.4",
    "svg-sprite": "2.0.2",
    "webpack": "5.75.0",
    "webpack-cli": "5.0.1",
    "webpack-favicons": "1.3.8"
  },
  "overrides": {
    "colors": "1.4.0"
  }
}
